Bug 29473 - [DOCS 21.11] Documentation changes for 21.11
Summary: [DOCS 21.11] Documentation changes for 21.11
Status: ASSIGNED
Alias: None
Product: Koha
Classification: Unclassified
Component: Documentation (show other bugs)
Version: master
Hardware: All All
: P1 - high normal (vote)
Assignee: David Nind
QA Contact:
URL: https://docs.google.com/spreadsheets/...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-13 10:39 UTC by David Nind
Modified: 2022-01-06 15:25 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Nind 2021-11-13 10:39:21 UTC
We are now using Bugzilla to manage documentation tasks.

This is a placeholder for reviewing all the bugs in 21.11 and determining which ones require documentation updates.
Comment 1 David Nind 2021-11-13 11:50:41 UTC
I have created a spreadsheet from a Bugzilla query that lists all bugs pushed to master for 21.11.

This will be used to:
1. Review all bugs
2. Determine if documentation changes are required, and 
3. Manage documentation tasks for a release. 

Process for creating the initial list:
1. View the results of the Bugzilla query: https://bugs.koha-community.org/bugzilla3/buglist.cgi?cmdtype=runnamed&list_id=391785&namedcmd=Doc%20changes%2021.11
2. Save as a CSV file.
3. Create an editable spreadsheet using whatever online tool considered appropriate.
4. Add columns for:
   . Reviewed for documentation changes (Y/N)
   . Documentation changes required? (Y/N)
   . Complexity (Easy|Medium|hard)
   . Reviewed by
   . Assigned to
   . Notes (add any relevant notes, for example there may be several bugs related to a change that can be managed as one documentation change)
5. Review each bug and determine whether any updates are required.
6. Update the columns in the spreadsheet (apart from assigned to).

Ideally, the spreadsheet is updated weekly with the new bugs pushed to master - use the GitLab mirror as new commits pushed show up in date order (https://gitlab.com/koha-community/Koha/-/commits/master), but they don't in the Gitea repository.
Comment 2 David Nind 2021-12-06 11:53:13 UTC
Spreadsheet updated for bugs pushed for week ended 6 December 2021.
Comment 3 David Nind 2021-12-06 12:16:46 UTC
(In reply to David Nind from comment #2)
> Spreadsheet updated for bugs pushed for week ended 6 December 2021.

Wrong bug - should have been for 22.05 documentation changes (bug 29640)!